:root {
  --bg: #222831;
  --header: #01012b;
  --primary: #393e46;
  --secondary: #eeeeee;
  --accent: #7ebdc3;
  --buttons: #005678;
  --delete-buttons: #811616;
  --credits: #ee70ce;
}
body {
  background-color: var(--bg);
  color: white;
  font-family: "Courier New", Courier, monospace;
  font-size: large;
  padding: 10px;
}

header {
  background-color: var(--header);
  color: var(--secondary);
  padding: 10px;
  box-shadow: var(--shadow);
}

.webgallery {
  font-size: xx-large;
  color: var(--credits);
}

.default-webgallery-message {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin: 0;
}

.gallery-list-container {
  display: flex;
  flex-direction: column;
  background-color: var(--primary);
  margin: 0px 10px;
  padding-bottom: 10px;
  border-radius: 5px;
}
.gallery-list-container h3 {
  margin: 0;
  text-align: center;
  background-color: var(--accent);
  color: black;
}
.gallery-list {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.user-item {
  padding: 10px 12px;
  cursor: pointer;
}
.user-pagination {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-top: 15px;
  gap: 10px;
}

.signup-signin-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.signup-signin-btn {
  background-color: var(--buttons);
  padding: 10px 5px;
  border-radius: 5px;
  font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
  color: white;
  cursor: pointer;
  font-size: large;
}
.signup-signin-btn:hover {
  transform: translateY(-2px);
  background-color: #0073a3;
}
.title-container {
  display: flex;
  flex-direction: column;
  background-color: var(--header);
  border-radius: 5px;
}
/* Online from https://prismic.io/blog/css-text-animations*/
.title-animation {
  font-size: 4rem;
  color: #fff;
  text-shadow:
    5px 5px 0 #ff005e,
    10px 10px 0 #00d4ff;
  animation: shadow-dance 2s infinite;
  justify-content: center;
}
@keyframes shadow-dance {
  0%,
  100% {
    text-shadow:
      5px 5px 0 #ff005e,
      10px 10px 0 #00d4ff;
  }
  50% {
    text-shadow:
      -5px -5px 0 #00d4ff,
      -10px -10px 0 #ff005e;
  }
}
.title-items {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.add-images {
  display: flex;
}
.img-btn {
  margin-left: auto;
}
button {
  background-color: var(--buttons);
  padding: 10px 5px;
  border-radius: 5px;
  font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
  color: white;
  cursor: pointer;
  font-size: large;
}
button:hover {
  transform: translateY(-2px);
  background-color: #0073a3;
}

.event-updates {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--credits);
  border-radius: 5px;
  margin: 5px 0px;
}

.disabled {
  opacity: 0.6;
  cursor: not-allowed;
}
.image-form-container {
  display: flex;
  justify-content: center;
}
.image-form {
  background-color: var(--secondary);
  color: black;
  border-radius: 5px;
  padding: 5px;
  display: inline-block;
  width: 80vw;
  text-align: left;
}
.close-image-form {
  font-weight: bold;
  margin-left: auto;
  cursor: pointer;
}
.image-form-input-box {
  display: flex;
  flex-direction: column;
  gap: 6px;
  padding: 10px 5px;
}
.image-form-input-box p {
  margin: 0px;
}
.image-form-input-box input {
  padding: 5px;
  height: 40px;
}
input::file-selector-button {
  font-weight: bold;
  background-color: var(--buttons);
  color: var(--secondary);
  padding: 5px;
  border-radius: 3px;
}
input::file-selector-button:hover {
  cursor: pointer;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.6);
}
.img-preview-box {
  display: flex;
  flex-direction: column;
  align-items: center;
}
.img-preview {
  margin-bottom: 5px;
}
.hidden {
  display: none !important;
}
.empty-gallery-feed {
  display: flex;
  justify-content: center;
}
.gallery-feed-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  border-radius: 5px;
  padding: 10px;
  gap: 20px;
  height: 80vh;
  overflow-y: auto;
}
.gallery-single-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: var(--primary);
  padding: 10px;
  border-radius: 10px;
  width: 80vw;
}
.gallery-metainfo {
  display: flex;
  align-items: center;
  min-width: 400px;
}
.gallery-info {
  background-color: var(--secondary);
  padding: 5px;
  width: 70vw;
  display: block;
  text-align: center;
}
.gallery-info-img {
  width: 60vw;
  border-radius: 10px;
  object-fit: cover;
}
.gallery-info p {
  margin: 0;
  color: black;
  overflow: auto;
}
.gallery-metainfo-btn {
  background-color: var(--delete-buttons);
  margin-left: auto;
  margin-bottom: 10px;
}
.gallery-metainfo-btn:hover {
  background-color: #9b4141;
}

.gallery-comment-container {
  background-color: var(--accent);
  color: black;
  margin-top: 10px;
  width: 70vw;
}
.comment-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 5px;
}
.comment-header-text {
  margin: 2px;
}
.gallery-comment-single {
  border-radius: 10px;
  background-color: var(--secondary);
  margin: 5px;
}
.comment-metainfo {
  display: flex;
  align-items: center;
}
.comment-metainfo p {
  margin: 0px;
  padding: 5px;
}
.comment-author {
  font-weight: bold;
  padding: 5px;
  max-width: 250px;
  overflow-x: scroll;
  scrollbar-width: none;
  height: 30px;
}
.comment-text {
  margin: 5px;
  padding: 5px;
  border-bottom: solid var(--accent);
  overflow: auto;
}
.comment-delete {
  margin: 5px;
  margin-left: auto;
  background-color: var(--delete-buttons);
}
.comment-delete:hover {
  background-color: #9b4141;
}
.add-comment-form {
  display: flex;
  flex-direction: column;
  padding: 10px;
  background-color: var(--header);
}
.add-comment-author {
  font-size: large;
}
.add-comment-text {
  margin: 10px 0px;
  font-size: large;
}

.full-comment-section {
  color: black;
  background-color: var(--accent);
  padding: 5px;
}
.pagination {
  display: flex;
  align-items: center;
  margin: auto;
  justify-content: space-between;
  width: 45%;
}

.credits {
  color: var(--credits);
}

.loading-state {
  display: flex;
  align-items: center;
  justify-content: center;
}
/* Online from https://www.w3schools.com/howto/howto_css_loader.asp */
.spinner {
  border: 16px solid #f3f3f3;
  border-top: 16px solid #3498db;
  border-radius: 50%;
  height: 10px;
  width: 10px;
  animation: spin 2s linear infinite;
  margin: 10px;
}
@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@media (min-width: 1250px) {
  .width-80-lg {
    width: 50vw;
  }
  .width-70-lg {
    width: 40vw;
  }
  .width-60-lg {
    width: 30vw;
  }
}
